# -*- coding: utf-8 -*-

"""
/***************************************************************************
 Karika
                                 A QGIS plugin
 Terrain generalization
 Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
                              -------------------
        begin                : 2018-03-05
        copyright            : (C) 2018 by Roman Geisthövel
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""

__author__ = 'Roman Geisthövel'
__date__ = '2018-03-05'
__copyright__ = '(C) 2018 by Roman Geisthövel'

from qgis.PyQt.QtGui import QIcon

from qgis.core import QgsProcessingProvider

from .karika_algorithm import KarikaAlgorithm
from .appinter import Common

class KarikaProvider(QgsProcessingProvider):

    def __init__(self):
        QgsProcessingProvider.__init__(self)

    def icon(self):
        return QIcon(Common.mkpath(Common.folder(), "img_motlimot.net.svg"))

    def unload(self):
        pass

    def loadAlgorithms(self):
        self.addAlgorithm(KarikaAlgorithm())

    def id(self):
        return 'motlimot.net'

    def name(self):
        return self.id()

    def longName(self):
        return self.name()

